Holger's Java API

## com.antelmann.ooffice
Class OOOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              com.antelmann.ooffice.OOOutputStream

All Implemented Interfaces:
  com.sun.star.io.XOutputStream, com.sun.star.uno.XInterface, Closeable, Flushable

    public class OOOutputStream

extends ByteArrayOutputStream
implements com.sun.star.io.XOutputStream

a bridge from java.io.OutputStream to XOutputStream

Since:
  21.02.2009, 19:23:40
Author:
  Holger Antelmann

Field Summary

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Fields inherited from interface com.sun.star.io.XOutputStream
`UNOTYPEINFO`

Constructor Summary
`OOOutputStream()`

Method Summary
`void` `closeOutput()`
`void` `flush()`
`void` `writeBytes(byte[] bytes)`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OOOutputStream

    public OOOutputStream()

Method Detail

### closeOutput

    public void closeOutput()
                     throws com.sun.star.io.NotConnectedException,
                            com.sun.star.io.BufferSizeExceededException,
                            com.sun.star.io.IOException

  Specified by:
    `closeOutput` in interface `com.sun.star.io.XOutputStream`
  Throws:
    `com.sun.star.io.NotConnectedException`
    `com.sun.star.io.BufferSizeExceededException`
    `com.sun.star.io.IOException`

### flush

    public void flush()

  Specified by:
    `flush` in interface `com.sun.star.io.XOutputStream`
  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`

### writeBytes

    public void writeBytes(byte[] bytes)
                    throws com.sun.star.io.NotConnectedException,
                           com.sun.star.io.BufferSizeExceededException,
                           com.sun.star.io.IOException

  Specified by:
    `writeBytes` in interface `com.sun.star.io.XOutputStream`
  Throws:
    `com.sun.star.io.NotConnectedException`
    `com.sun.star.io.BufferSizeExceededException`
    `com.sun.star.io.IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads